Bug 805959 - [REST API] When no domain already exist, the response does not provide any link to create a new domain
[REST API] When no domain already exist, the response does not provide any li...
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Lili Nader
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 10:47 EDT by Xavier Coulon
Modified: 2015-05-14 21:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 16:19:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Coulon 2012-03-22 10:47:00 EDT
Response is as below:


<?xml version="1.0" encoding="UTF-8"?>
<response>
  <data/>
  <status>ok</status>
  <messages/>
  <version>1.0</version>
  <type>domains</type>
</response>

It should contain a link to create a new domain, such as:

<link>
        <rel>Create new domain</rel>
        <href>/domains</href>
        <optional-params/>
        <method>POST</method>
        <required-params>
          <param>
            <name>namespace</name>
            <description>Name of the domain</description>
            <valid-options/>
            <type>string</type>
          </param>
        </required-params>
      </link>
Comment 1 Lili Nader 2012-03-27 16:19:16 EDT
the link for creating a new domain is under top level /rest/api

Note You need to log in before you can comment on or make changes to this bug.